import { jsx } from "react/jsx-runtime";
import { Desk as Desk$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Desk = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Desk", ...props, children: /* @__PURE__ */ jsx(Desk$1, { weight: variant }) });
  }
);
Desk.displayName = "Desk";
Object.assign(Desk, { isGdsIcon: true });
export {
  Desk
};
